Loading...
Searching...
No Matches
Opm::EcfvStencil< Scalar, GridView, needFaceIntegrationPos, needFaceNormal >::EcfvSubControlVolumeFace< needIntegrationPos, needNormal > Class Template Reference

Represents a face of a sub-control volume. More...

`#include <ecfvstencil.hh>`

## Public Member Functions

| EcfvSubControlVolumeFace (const Intersection &intersection, unsigned localNeighborIdx)
unsigned short | interiorIndex () const
| Returns the local index of the degree of freedom to the face's interior.
unsigned short | exteriorIndex () const
| Returns the local index of the degree of freedom to the face's outside.
const GlobalPosition & | integrationPos () const
| Returns the global position of the face's integration point.
const WorldVector & | normal () const
| Returns the outer unit normal at the face's integration point.
Scalar | area () const
| Returns the area [m^2] of the face.
int | dirId () const
| Returns the direction id of the face w.r.t the cell.
FaceDir::DirEnum | faceDirFromDirId () const
| Returns the direction of the face.

## Detailed Description

template<class Scalar, class GridView, bool needFaceIntegrationPos = true, bool needFaceNormal = true>
template<bool needIntegrationPos, bool needNormal>
class Opm::EcfvStencil< Scalar, GridView, needFaceIntegrationPos, needFaceNormal >::EcfvSubControlVolumeFace< needIntegrationPos, needNormal >

Represents a face of a sub-control volume.

## Member Function Documentation

## dirId()

template<class Scalar, class GridView, bool needFaceIntegrationPos = true, bool needFaceNormal = true>
template<bool needIntegrationPos, bool needNormal>

int Opm::EcfvStencil< Scalar, GridView, needFaceIntegrationPos, needFaceNormal >::EcfvSubControlVolumeFace< needIntegrationPos, needNormal >::dirId | ( |  | ) | const

inline

Returns the direction id of the face w.r.t the cell.

For corner point grids, this is 0-5 for I-, I+, J-, J+, K- and K+ faces, and -1 for NNC faces.

The documentation for this class was generated from the following file:

- opm/models/discretization/ecfv/ecfvstencil.hh